<!DOCTYPE html>
<html>

	<head>
		<title>TP3</title>
		<link rel="stylesheet" href="https://unpkg.com/purecss@1.0.1/build/pure-min.css" integrity="sha384-oAOxQR6DkCoMliIh8yFnu25d7Eq/PHS21PClpwjOTeU2jRSq11vu66rf90/cZr47" crossorigin="anonymous">
		<meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
        <script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<style>
		</style>
	</head>
	<body>
        <h1>Hello</h1>
        <form>
        <div class="form-group">
             <label for="Genre: ">Genre</label>
            <input type="genre" class="form-control" id="genre" placeholder="genre" name="genre">
        </div>
        <div class="form-group">
            <label for="groupe">Groupe:<span id="status"></span></label>
            <input type="groupe" class="form-control" id="groupe" placeholder="groupe" name="groupe">
        </div>
            <button type="submit" class="btn btn-primary">Envoyer</button>
        </form>
    </body>
    
    <script>
        $('form').submit(function(e){ 
            e.preventDefault();
            var nomgroupe =$('input[name=groupe]').val();
            var genregroupe =$('input[name=genre]').val();
            console.log("NomGroupe:" + nomgroupe+"\nGenreGroupe:"+genregroupe);
        });
        $('#groupe').on('input', function() {
            var nomgroupe =$('input[name=groupe]').val();
            $.getJSON("checkgroupe.php",{'groupe':nomgroupe},function(data){
                console.log(data);
                $('#status').text(data.resultat);
                
        });});
        $('#genre').on('input', function() {
            var genregroupe =$('input[name=genre]').val();
            $.getJSON("listmusic.php",{'string':genregroupe},function(data){
                variableRecuperee=data;
                console.log(variableRecuperee);
                $( "#genre" ).autocomplete({
                    source:variableRecuperee
                });
            })
        });
    </script>

</html>